{% extends "base.html" %}
{% load i18n %}
{% block title %}{{ object.name }}{% endblock %}
{% block content %}
  <div class="row mt-2">
    <div class="col-12">
      <h1>
        {{ object.name }}
        {% if object.running %}<span class="badge bg-success">{% translate 'running'|upper %}</span>
        {% else %}<span class="badge bg-danger">{% translate 'closed'|upper %}</span>
        {% endif %}
      </h1>
      <p>
        {% if object.treatment_type %}
          <strong>{{ object.treatment_type }}</strong>
        {% endif %}
        {% if object.location %}
          {% if object.treatment_type %} | {% endif %}
          <i class="bi bi-geo-alt-fill"></i> {{ object.location }}
        {% endif %}
      </p>
    </div>
  </div>
  <div class="row">
    <p class="col">
      {% if not processing_line %}
        <p><a href="{% url 'treatments:select-location-choice' object.id %}" class="btn btn-primary btn-lg w-100"><i class="bi bi-box-arrow-in-right"></i> {% translate "join this processing line"|capfirst %}</a></p>
        <p><a href="{% url 'treatments:view-processing-line' object.id %}" class="btn btn-outline-secondary btn-lg w-100">{% translate "view this processing line"|capfirst %}</a></p>
      {% else %}
        <p><a href="{% url 'treatments:select-location-clear' %}" class="btn btn-outline-danger btn-lg w-100"><i class="bi bi-box-arrow-right"></i> {% translate "leave this processing line"|capfirst %}</a></p>
        <p><a href="{% url 'treatments:view-processing-line' object.id %}" class="btn btn-primary btn-lg w-100">{% translate "view this processing line"|capfirst %}</a></p>
      {% endif %}

      {% if perms.treatments.can_run_processing_line %}
        <p>
          <a href="{% url 'treatments:toggle-operation-processing-line' object.id %}" class="btn btn-outline-success btn-lg w-100">
            {% if object.running %}
              <i class="bi bi-door-closed-fill"></i> {% translate 'close the processing line'|capfirst %}
            {% else %}
              <i class="bi bi-door-open-fill"></i> {% translate 'open the processing line'|capfirst %}
            {% endif %}
          </a>
        </p>
      {%  endif %}

      {% if perms.treatments.change_treatmenttype %}
        <p>
          <a href="{% url 'treatments:change-processing-line' object.id %}" class="btn btn-outline-secondary btn-lg w-100"><i class="bi bi-pencil"></i> {% translate 'edit this processing line'|capfirst %}</a>
        </p>
      {%  endif %}

    </div>
  </div>



{% endblock %}
